Subject: Bug#617456: Two awful bugs

From: Juhapekka Tolvanen <[email-masked]>
Date: Wed, 9 Mar 2011 05:25:43 +0200

Package: slim
Version: 1.3.1-8
Severity: important

1) Special usernames "halt" and "reboot" do not fscking work as man
page promises. Maybe this bug has something to do with this setting:
In this computer where I run Slim it is not possible to log in as
root; sudo is used, instead.

2) Only signal that makes slim to die is "-9". Therefore running
initscript of slim with option "stop" (or "restart") do not fscking
work at all. It causes problems during shutdown, because after running
all iniscripts with option "stop" slim is still running. In the end of
shutdown I can even see output of command pstree, where Slim is still
seeen running. Special username "exit" works, though.

-- 
Juhapekka "naula" Tolvanen * http colon slash slash iki dot fi slash juhtolv
"Quidquid Latine dictum sit altum videtur."